Package weka.classifiers.functions

# Class SingleClassifierEnhancerBoundary

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.SingleClassifierEnhancer
weka.classifiers.functions.SingleClassifierEnhancerBoundary

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `weka.classifiers.Classifier`, `weka.core.BatchPredictor`, `weka.core.CapabilitiesHandler`, `weka.core.CapabilitiesIgnorer`, `weka.core.CommandlineRunnable`, `weka.core.OptionHandler`, `weka.core.RevisionHandler`

Direct Known Subclasses:
  `BoundaryAndCentroidClassifier`, `BoundaryAndCentroidClassifier2`, `BoundaryAndCentroidsClassifier`, `BoundaryBasedClassifier`, `BoundaryKernelClassifier`, `BoundaryPotentialClassifier`

public abstract class SingleClassifierEnhancerBoundary extends weka.classifiers.SingleClassifierEnhancer

Since:
  2.0.0
Version:
  2.0.0
Author:
  pawel trajdos
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleClassifierEnhancerBoundary()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `weka.core.Capabilities`
  `getCapabilities()`
  `void`
  `setClassifier(weka.classifiers.Classifier newClassifier)`

  ### Methods inherited from class weka.classifiers.SingleClassifierEnhancer

  `classifierTipText, getClassifier, getOptions, listOptions, postExecution, preExecution, setOptions`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionForInstance, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, getRevision, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, run, runClassifier, setBatchSize, setDebug, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface weka.classifiers.Classifier

  `buildClassifier`

- ## Constructor Details

  - ### SingleClassifierEnhancerBoundary

    public SingleClassifierEnhancerBoundary()

- ## Method Details

  - ### setClassifier

    public void setClassifier(weka.classifiers.Classifier newClassifier)
    Overrides:
      `setClassifier` in class `weka.classifiers.SingleClassifierEnhancer`

  - ### getCapabilities

    public weka.core.Capabilities getCapabilities()
    Specified by:
      `getCapabilities` in interface `weka.core.CapabilitiesHandler`
    Specified by:
      `getCapabilities` in interface `weka.classifiers.Classifier`
    Overrides:
      `getCapabilities` in class `weka.classifiers.SingleClassifierEnhancer`